net.corda.node.utilities

## Class PartyColumns

- net.corda.node.utilities.PartyColumns

-     public class PartyColumns

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyColumns(org.jetbrains.exposed.sql.Column<java.lang.String> name, org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> owningKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jetbrains.exposed.sql.Column<java.lang.String>` | `component1()`
    `org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey>` | `component2()`
    `PartyColumns` | `copy(org.jetbrains.exposed.sql.Column<java.lang.String> name, org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> owningKey)`
    `boolean` | `equals(java.lang.Object p)`
    `org.jetbrains.exposed.sql.Column<java.lang.String>` | `getName()`
    `org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey>` | `getOwningKey()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### PartyColumns

          public PartyColumns(org.jetbrains.exposed.sql.Column<java.lang.String> name,
                              org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> owningKey)

  - ### Method Detail

    - #### getName

          public org.jetbrains.exposed.sql.Column<java.lang.String> getName()

    - #### getOwningKey

          public org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> getOwningKey()

    - #### component1

          public org.jetbrains.exposed.sql.Column<java.lang.String> component1()

    - #### component2

          public org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> component2()

    - #### copy

          public PartyColumns copy(org.jetbrains.exposed.sql.Column<java.lang.String> name,
                                   org.jetbrains.exposed.sql.Column<net.corda.core.crypto.CompositeKey> owningKey)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)